DEBUG_OBJECT_ACTIVE_(9)

NAME
debug_object_active_state - debug checks object usage state machine

SYNOPSIS

void debug_object_active_state(void * addr, struct debug_obj_descr * descr, unsigned int expect, unsigned int next);

ARGUMENTS

addr
    address of the object

descr
    pointer to an object specific debug description structure

expect
    expected state

next
    state to move to if expected state is found

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT